%define debug_package %{nil}
%define product_family Asianux
%define variant_titlecase Server
%define variant_lowercase server
%define release_name Lotus
%define base_release_version 7
%define full_release_version 7.0
%define dist_release_version 7
%define dist .el%{dist_release_version}.AXS7

Name:           asianux-release
Version:        %{full_release_version}
Release:        1%{?dist}
Summary:        %{product_family}%{?variant_titlecase: %{variant_titlecase}} release file
Group:          System Environment/Base
License:        GPLv2
Provides:       asianux-release = %{version}-%{release}
Provides:       system-release = %{version}-%{release}
Provides:       system-release(releasever) = %{base_release_version}%{?variant_titlecase}
Source1:        GPL
Source2:        EULA
Source3:        EULA_ja
Source4:        EULA_ko
Source5:        EULA_vi
Source11:       README
Source12:       INSTALLATION
Source13:       RPM-GPG-KEY
Source21:       85-display-manager.preset
Source22:       90-default.preset

%description
%{product_family}%{?variant_titlecase: %{variant_titlecase}} release files

%prep

%build
echo OK

%install
rm -rf %{buildroot}

# create /etc
mkdir -p %{buildroot}/etc

# create /etc/system-release and /etc/asianux-release
echo "%{product_family}%{?variant_titlecase: %{variant_titlecase}} release %{full_release_version} (%{release_name})" > %{buildroot}/etc/asianux-release
ln -s asianux-release %{buildroot}/etc/system-release

# create /etc/os-release
cat << EOF >>%{buildroot}/etc/os-release
NAME="%{product_family}%{?variant_titlecase: %{variant_titlecase}}"
VERSION="%{full_release_version} (%{release_name})"
ID="asianux"
ID_LIKE="rhel fedora"
VERSION_ID="%{full_release_version}"
PRETTY_NAME="%{product_family}%{?variant_titlecase: %{variant_titlecase}} %{full_release_version} (%{release_name})"
ANSI_COLOR="0;31"
HOME_URL="http://www.asianux.com/"
BUG_REPORT_URL="http://bugzilla.asianux.com/"

ASIANUX_BUGZILLA_PRODUCT="Asianux 7.0"
ASIANUX_BUGZILLA_PRODUCT_VERSION=%{version}
ASIANUX_SUPPORT_PRODUCT="Asianux Server"
ASIANUX_SUPPORT_PRODUCT_VERSION=%{version}
EOF

# write cpe to /etc/system-release-cpe
echo "cpe:/o:asianux:server:7" > %{buildroot}/etc/system-release-cpe

# create /etc/issue and /etc/issue.net
echo '\S' > %{buildroot}/etc/issue
echo 'Kernel \r on an \m' >> %{buildroot}/etc/issue
cp %{buildroot}/etc/issue %{buildroot}/etc/issue.net
echo >> %{buildroot}/etc/issue

# copy GPG keys
mkdir -p -m 755 %{buildroot}/etc/pki/rpm-gpg
install -m 644 %{SOURCE13} %{buildroot}/etc/pki/rpm-gpg

# use unbranded datadir
mkdir -p -m 755 %{buildroot}/%{_datadir}/asianux-release
install -m 644 %{SOURCE2} %{buildroot}/%{_datadir}/asianux-release
install -m 644 %{SOURCE3} %{buildroot}/%{_datadir}/asianux-release
install -m 644 %{SOURCE4} %{buildroot}/%{_datadir}/asianux-release
install -m 644 %{SOURCE5} %{buildroot}/%{_datadir}/asianux-release

# use unbranded docdir
mkdir -p -m 755 %{buildroot}/%{_docdir}/asianux-release
install -m 644 %{SOURCE1} %{buildroot}/%{_docdir}/asianux-release
install -m 644 %{SOURCE11} %{buildroot}/%{_docdir}/asianux-release
install -m 644 %{SOURCE12} %{buildroot}/%{_docdir}/asianux-release

# copy systemd presets
mkdir -p %{buildroot}%{_prefix}/lib/systemd/system-preset/
install -m 0644 %{SOURCE21} %{buildroot}%{_prefix}/lib/systemd/system-preset/
install -m 0644 %{SOURCE22} %{buildroot}%{_prefix}/lib/systemd/system-preset/

install -d -m 755 %{buildroot}/etc/rpm
cat >> %{buildroot}/etc/rpm/macros.dist << EOF
# dist macros.

%%asianux %{base_release_version}
%%rhel %{base_release_version}
%%dist .el%{base_release_version}
%%el%{base_release_version} 1
EOF

%clean
rm -rf %{buildroot}

%files
%defattr(0644,root,root,0755)
/etc/asianux-release
/etc/system-release
%config(noreplace) /etc/os-release
%config /etc/system-release-cpe
%config(noreplace) /etc/issue
%config(noreplace) /etc/issue.net
/etc/pki/rpm-gpg/
/etc/rpm/macros.dist
%{_docdir}/asianux-release/*
%{_datadir}/asianux-release/*
%{_prefix}/lib/systemd/system-preset/*

%changelog
* Fri Jan 23 2015 Alex Nguyen <alex.nguyen@asianux.com> - 7.0-1.el7.AXS7
- Initial build for version 7
